OfonoConnmanContext Class Reference

This class is used to access oFono connman context API. More...

`#include <ofonoconnmancontext.h>`

Inheritance diagram for OfonoConnmanContext:

## Public Slots

void | setActive (const bool)
void | setAccessPointName (const QString &)
void | setType (const QString &)
void | setUsername (const QString &)
void | setPassword (const QString &)
void | setProtocol (const QString &)
void | setName (const QString &)
void | setMessageProxy (const QString &)
void | setMessageCenter (const QString &)

## Signals

void | activeChanged (const bool)
void | accessPointNameChanged (const QString &apn)
void | nameChanged (const QString &name)
void | typeChanged (const QString &type)
void | usernameChanged (const QString &uname)
void | passwordChanged (const QString &pw)
void | protocolChanged (const QString &proto)
void | messageProxyChanged (const QString &proxy)
void | messageCenterChanged (const QString &msc)
void | setActiveFailed ()
void | setAccessPointNameFailed ()
void | setTypeFailed ()
void | setUsernameFailed ()
void | setPasswordFailed ()
void | setProtocolFailed ()
void | setNameFailed ()
void | setMessageProxyFailed ()
void | setMessageCenterFailed ()
void | settingsChanged (const QVariantMap &)
void | IPv6SettingsChanged (const QVariantMap &)

## Public Member Functions

| OfonoConnmanContext (const QString &contextPath, QObject *parent=0)
| OfonoConnmanContext (const OfonoConnmanContext &op)
OfonoConnmanContext | operator= (const OfonoConnmanContext &op)
bool | operator== (const OfonoConnmanContext &op)
QString | path () const
| Returns the D-Bus object path of the voice call object.
QString | errorName () const
| Get the D-Bus error name of the last operation.
QString | errorMessage () const
| Get the D-Bus error message of the last operation.
bool | active () const
QString | accessPointName () const
QString | type () const
QString | username () const
QString | password () const
QString | protocol () const
QString | name () const
QString | messageProxy () const
QString | messageCenter () const
QVariantMap | settings () const
QVariantMap | IPv6Settings () const

## Properties

QString | path
QString | errorName
QString | errorMessage
bool | active
QString | accessPointName
QString | type
QString | username
QString | password
QString | protocol
QString | name
QString | messageProxy
QString | messageCenter
QVariantMap | settings
QVariantMap | IPv6Settings

## Detailed Description

This class is used to access oFono connman context API.

The API is documented in http://git.kernel.org/?p=network/ofono/ofono.git;a=blob;f=doc/connman-api.txt

## Member Function Documentation

## errorMessage()

QString OfonoConnmanContext::errorMessage | ( |  | ) | const

Get the D-Bus error message of the last operation.

Returns the D-Bus error message of the last operation (setting a property or calling a method) if it has failed

## errorName()

QString OfonoConnmanContext::errorName | ( |  | ) | const

Get the D-Bus error name of the last operation.

Returns the D-Bus error name of the last operation (setting a property or calling a method) if it has failed

The documentation for this class was generated from the following file:

- lib/ofonoconnmancontext.h